#ifndef H_RSA
#define H_RSA

#include <math.h>

void generateKeys(unsigned long *, unsigned long *, unsigned long *);

#ifdef __cplusplus
extern "C"  {
#endif

static void prime_number_finder(unsigned long *);
static int gcd(unsigned long, unsigned long);
static int isPrimeNumber(unsigned long a);
static unsigned long generatePublicKey(unsigned long, unsigned long *);
static unsigned long generatePrivateKey(unsigned long *, unsigned long, unsigned long *);

#ifdef __cplusplus
}
#endif

#endif
